%define url_ver %(echo %{version} | cut -d. -f1,2)

%define build_gssapi 1
%define build_ldap 1
%define build_lucene 1
%define build_solr 1
%define build_mysql 1
%define build_pgsql 1
%define build_sqlite 1
%define build_pigeonhole 1

%{?_with_gssapi: %{expand: %%global build_gssapi 1}}
%{?_without_gssapi: %{expand: %%global build_gssapi 0}}
%{?_with_ldap: %{expand: %%global build_ldap 1}}
%{?_without_ldap: %{expand: %%global build_ldap 0}}
%{?_with_lucene: %{expand: %%global build_lucene 1}}
%{?_without_lucene: %{expand: %%global build_lucene 0}}
%{?_with_solr: %{expand: %%global build_solr 1}}
%{?_without_solr: %{expand: %%global build_solr 0}}
%{?_with_mysql: %{expand: %%global build_mysql 1}}
%{?_without_mysql: %{expand: %%global build_mysql 0}}
%{?_with_pgsql: %{expand: %%global build_pgsql 1}}
%{?_without_pgsql: %{expand: %%global build_pgsql 0}}
%{?_with_sqlite: %{expand: %%global build_sqlite 1}}
%{?_without_sqlite: %{expand: %%global build_sqlite 0}}
%{?_with_pigeonhole: %{expand: %%global build_pigeonhole 1}}
%{?_without_pigeonhole: %{expand: %%global build_pigeonhole 0}}

%define pigeonhole_ver 0.3.3

Summary:	Secure IMAP and POP3 server
Name:		dovecot
Version:	2.1.15
Release:	%mkrel 2
License:	MIT and LGPLv2 and BSD-like and Public Domain
Group:		System/Servers
URL:		http://dovecot.org
Source0:	http://dovecot.org/releases/%{url_ver}/%{name}-%{version}.tar.gz
Source1:	http://dovecot.org/releases/%{url_ver}/%{name}-%{version}.tar.gz.sig
Source2:	%{name}-pamd
Source4:	http://dovecot.org/tools/migration_wuimp_to_dovecot.pl
Source5:	http://dovecot.org/tools/mboxcrypt.pl
Source6:	http://www.rename-it.nl/%{name}/%{url_ver}/%{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}.tar.gz
Source7:	http://www.rename-it.nl/%{name}/%{url_ver}/%{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}.tar.gz.sig
Source8:	http://www.earth.ox.ac.uk/~steve/sieve/procmail2sieve.pl
Source9:	%{name}-tmpfiles.conf
Patch1:		pigeonhole-0.3.3-dovecot-link.patch
Provides:	imap-server pop3-server
Provides:	imaps-server pop3s-server
Requires(post):	systemd >= %{systemd_required_version}
Requires(pre):	rpm-helper >= 0.21
Requires(post):	rpm-helper >= 0.21
Requires(preun): rpm-helper >= 0.21
Requires(postun): rpm-helper >= 0.21
# for /etc/ssl/ symlinks
Requires:	rootcerts >= 20121018.00-2.mga3
BuildRequires:	pam-devel
BuildRequires:	openssl-devel
BuildRequires:	libsasl-devel
BuildRequires:	libcap-devel
BuildRequires:	gettext-devel
BuildRequires:	libgc-devel
%if %{build_ldap}
BuildRequires:	openldap-devel
%endif
%if %{build_lucene}
BuildRequires:	clucene-devel
%endif
%if %{build_solr}
BuildRequires:	expat-devel
BuildRequires:	curl-devel
%endif
%if %{build_mysql}
BuildRequires:	mysql-devel
%endif
%if %{build_pgsql}
BuildRequires:	postgresql-devel
%endif
%if %{build_gssapi}
BuildRequires:	gssglue-devel
BuildRequires:	krb5-devel
%endif
%if %{build_sqlite}
BuildRequires: sqlite3-devel
%endif
BuildRequires:	rpm-helper >= 0.21
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel

%description
Dovecot is an IMAP and POP3 server for Linux/UNIX-like systems, written with
security primarily in mind. Although it's written with C, it uses several
coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and it's fully
compatible with UW-IMAP and Courier IMAP servers as well as mail clients
accessing the mailboxes directly.

You can build %{name} with some conditional build swithes;

(ie. use with rpm --rebuild):

    --with[out] gssapi		GSSAPI support (enabled)
    --with[out] ldap		LDAP support (enabled)
    --with[out] lucene		Lucene support (enabled)
    --with[out] solr		Solr support (enabled)
    --with[out] mysql		MySQL support (enabled)
    --with[out] pgsql		PostgreSQL support (enabled)
    --with[out] sqlite		SQLite support (enabled)
    --with[out] sieve		Pigeonhole Sieve and ManageSieve support (enabled)

%if %{build_pigeonhole}

%package	pigeonhole
Summary:	Pigeonhole Sieve/ManageSieve plugin for dovecot LDA
Group:		System/Servers
Requires:	%{name} >= %{version}
Obsoletes:	%{name}-plugins-sieve < 2.0, %{name}-plugins-managesieve < 2.0

%description	pigeonhole
This package provides the Pigeonhole Sieve/ManageSieve plugin version %{pigeonhole_ver}
for dovecot LDA.

%package	pigeonhole-devel
Summary:	Pigeonhole Sieve/ManageSieve development files
Group:		Development/C
Requires:	%{name}-pigeonhole >= %{version}

%description	pigeonhole-devel
This package contains development files for Pigeonhole Sieve/ManageSieve %{pigeonhole_ver}.

%endif

%if %{build_pgsql}
%package	plugins-pgsql
Summary:	Postgres SQL backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-pgsql
This package provides the Postgres SQL backend for dovecot-auth etc.
%endif

%if %{build_mysql}
%package	plugins-mysql
Summary:	MySQL backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-mysql
This package provides the MySQL backend for dovecot-auth etc.
%endif

%if %{build_ldap}
%package	plugins-ldap
Summary:	LDAP support for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-ldap
This package provides LDAP capabilities to dovecot in a modular form.
%endif

%if %{build_gssapi}
%package	plugins-gssapi
Summary:	GSSAPI support for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-gssapi
This package provides GSSAPI capabilities to dovecot in a modular form.
%endif

%if %{build_sqlite}
%package	plugins-sqlite
Summary:	SQLite backend for dovecot
Group:		System/Servers
Requires:	%{name} >= %{version}

%description	plugins-sqlite
This package provides the SQLite backend for dovecot-auth etc.
%endif

%package	devel
Summary:	Development files for Dovecot IMAP and POP3 server
Group:		Development/C
Requires:	%{name} >= %{version}

%description	devel
Dovecot is an IMAP and POP3 server for Linux/UNIX-like systems, written with
security primarily in mind. Although it's written with C, it uses several
coding techniques to avoid most of the common pitfalls.

Dovecot can work with standard mbox and maildir formats and it's fully
compatible with UW-IMAP and Courier IMAP servers as well as mail clients
accessing the mailboxes directly.

This package contains development files for dovecot.

%prep

%setup -q
# Bug #27491
%if %{build_lucene}
sed -i '/DEFAULT_INCLUDES *=/s|$| '"$(pkg-config --cflags libclucene-core)|" src/plugins/fts-lucene/Makefile.in
%endif

%if %{build_pigeonhole}
%setup -q -D -T -a 6
%define	pigeonhole_dir %{name}-%{url_ver}-pigeonhole-%{pigeonhole_ver}
pushd %{pigeonhole_dir}
%patch1 -p1 -b .module
popd
%endif

%build
%serverbuild
%configure2_5x \
    --disable-static \
    --with-sql=plugin \
    --with-ssl=openssl \
    --with-nss \
    --with-gc \
    --with-libcap \
%if %{build_ldap}
    --with-ldap=plugin \
%endif
%if %{build_pgsql}
    --with-pgsql \
%endif
%if %{build_mysql}
    --with-mysql \
%endif
%if %{build_sqlite}
    --with-sqlite \
%endif
%if %{build_gssapi}
    --with-gssapi=plugin \
%endif
%if %{build_lucene}
    --with-lucene \
%endif
%if %{build_solr}
    --with-solr \
%endif
    --with-ssldir=%{_sysconfdir}/pki/tls \
    --with-moduledir=%{_libdir}/%{name}/modules \
    --with-rundir=/run/%{name} \
    --with-statedir=%{_localstatedir}/lib/%{name} \
    --with-systemdsystemunitdir=%{_unitdir}

%make

%if %{build_pigeonhole}
pushd %{pigeonhole_dir}
autoreconf
%configure2_5x \
    --disable-static \
    --with-dovecot=../ \
    --with-unfinished-features 
%make
popd
%endif

%install
install -d %{buildroot}%{_sysconfdir}/%{name}/conf.d
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_libdir}/%{name}/modules
install -d %{buildroot}%{_localstatedir}/lib/%{name}

%makeinstall_std

%if %{build_pigeonhole}

pushd %{pigeonhole_dir}
%makeinstall_std
cp -a doc/example-config/conf.d/*.conf* %{buildroot}%{_sysconfdir}/%{name}/conf.d
popd

install -d -m 755 %{buildroot}%{_docdir}/%{name}-pigeonhole

%endif

cat %{SOURCE2} > %{buildroot}%{_sysconfdir}/pam.d/%{name}

# Dovecot installs docs by itself, but we'd better do that with %%doc.
# Get rid of garbage in the doc directory.
rm -rf %{buildroot}%{_docdir}/*

install doc/example-config/%{name}*.conf* %{buildroot}%{_sysconfdir}/%{name}
cp -a doc/example-config/conf.d/*.conf* %{buildroot}%{_sysconfdir}/%{name}/conf.d

cp %{SOURCE4} .
cp %{SOURCE5} .

# procmail2sieve converter
install -d -m 755 %{buildroot}%{_bindir}
install %{SOURCE8} -m 755 %{buildroot}%{_bindir}
perl -pi -e 's|#!/usr/local/bin/perl|#!%{_bindir}/perl|' \
    %{buildroot}%{_bindir}/procmail2sieve.pl

install -D -p -m 0644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/%{name}.conf

 # automatic reloading for new plugins
install -d %{buildroot}%{_var}/lib/rpm/filetriggers
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/%{name}.filter << EOF
^.%{_libdir}/%{name}/modules/.*\.so$
EOF
cat > %{buildroot}%{_var}/lib/rpm/filetriggers/%{name}.script << EOF
#!/bin/sh
systemctl try-restart %{name}.service
EOF
chmod 755 %{buildroot}%{_var}/lib/rpm/filetriggers/%{name}.script

# remove the libtool archives
find %{buildroot} -name '*.la' -delete

%pre
%_pre_useradd %{name} /var/lib/%{name} /bin/false
%_pre_groupadd %{name} %{name}
%_pre_useradd dovenull /var/lib/%{name} /bin/false
%_pre_groupadd dovenull dovenull

%post
%_tmpfilescreate %{name}
%_post_service %{name}
%_create_ssl_certificate %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}
%_postun_groupdel %{name}
%_postun_userdel dovenull
%_postun_groupdel dovenull

%files
%doc AUTHORS ChangeLog COPYING* NEWS README TODO
%doc doc/*
%doc mboxcrypt.pl migration_wuimp_to_dovecot.pl

%dir %{_sysconfdir}/dovecot
%dir %{_sysconfdir}/dovecot/conf.d
%config(noreplace) %{_sysconfdir}/dovecot/README
#list all so we'll be noticed if upstream changes anything
%config(noreplace) %{_sysconfdir}/dovecot/dovecot.conf
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-db.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-dict-auth.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-dict-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-ldap.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/dovecot-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-auth.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-director.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-logging.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-mail.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-master.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/10-ssl.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/15-lda.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/15-mailboxes.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-imap.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-lmtp.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/20-pop3.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-acl.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-quota.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/90-plugin.conf
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-checkpassword.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-deny.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-ldap.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-master.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-passwdfile.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-sql.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-static.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-system.conf.ext
%config(noreplace) %{_sysconfdir}/dovecot/conf.d/auth-vpopmail.conf.ext

%config(noreplace) %{_sysconfdir}/pam.d/%{name}

%attr(0750,dovecot,dovecot) %dir %{_localstatedir}/lib/%{name}

%if %{build_pigeonhole}
%exclude %{_libdir}/%{name}/modules/lib90_sieve_plugin.so
%exclude %{_libdir}/%{name}/modules/settings/libmanagesieve*.so
%endif

%{_bindir}/doveadm
%{_bindir}/doveconf
%{_bindir}/dsync
%{_sbindir}/%{name}

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/dovecot-config
%{_libdir}/%{name}/modules
%exclude %{_libdir}/%{name}/modules/libdriver*sql*.so
%exclude %{_libdir}/%{name}/modules/*/libdriver*sql*.so
%{_libdir}/%{name}/libdovecot.so*
%{_libdir}/%{name}/libdovecot-lda.so*
%{_libdir}/%{name}/libdovecot-login.so*
%{_libdir}/%{name}/libdovecot-sql.so*
%{_libdir}/%{name}/libdovecot-ssl.so*
%{_libdir}/%{name}/libdovecot-storage.so*

%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/aggregator
%{_libexecdir}/%{name}/anvil
%{_libexecdir}/%{name}/auth
%{_libexecdir}/%{name}/checkpassword-reply
%{_libexecdir}/%{name}/config
%{_libexecdir}/%{name}/decode2text.sh
%{_libexecdir}/%{name}/deliver
%{_libexecdir}/%{name}/dict
%{_libexecdir}/%{name}/director
%{_libexecdir}/%{name}/dns-client
%{_libexecdir}/%{name}/doveadm-server
%{_libexecdir}/%{name}/dovecot-lda
%{_libexecdir}/%{name}/gdbhelper
%{_libexecdir}/%{name}/imap
%{_libexecdir}/%{name}/imap-login
%{_libexecdir}/%{name}/indexer
%{_libexecdir}/%{name}/indexer-worker
%{_libexecdir}/%{name}/ipc
%{_libexecdir}/%{name}/lmtp
%{_libexecdir}/%{name}/log
%{_libexecdir}/%{name}/maildirlock
%{_libexecdir}/%{name}/pop3
%{_libexecdir}/%{name}/pop3-login
%{_libexecdir}/%{name}/rawlog
%{_libexecdir}/%{name}/replicator
%{_libexecdir}/%{name}/script
%{_libexecdir}/%{name}/script-login
%{_libexecdir}/%{name}/ssl-params
%{_libexecdir}/%{name}/stats
%{_libexecdir}/%{name}/xml2text

%{_unitdir}/%{name}.service
%{_unitdir}/%{name}.socket
%{_tmpfilesdir}/%{name}.conf

%{_mandir}/man1/doveadm*.1*
%{_mandir}/man1/dovecot*.1*
%{_mandir}/man1/doveconf*.1*
%{_mandir}/man1/deliver.1*
%{_mandir}/man1/dsync.1*
%{_mandir}/man7/doveadm*.7*

%{_var}/lib/rpm/filetriggers/%{name}.*

%if %{build_pigeonhole}
%files pigeonhole
%doc %{pigeonhole_dir}/{AUTHORS,ChangeLog,COPYING*,INSTALL,NEWS,README}
%doc %{pigeonhole_dir}/doc/*
%{_sysconfdir}/%{name}/conf.d/20-managesieve.conf
%{_sysconfdir}/%{name}/conf.d/90-sieve.conf
%{_bindir}/procmail2sieve.pl
%{_bindir}/sieve-dump
%{_bindir}/sieve-filter
%{_bindir}/sieve-test
%{_bindir}/sievec
%{_libdir}/%{name}/lib%{name}-sieve.so*
%{_libexecdir}/%{name}/managesieve
%{_libexecdir}/%{name}/managesieve-login
%{_libdir}/%{name}/modules/lib90_sieve_plugin.so
%{_libdir}/%{name}/modules/settings/libmanagesieve_settings.so
%{_libdir}/%{name}/modules/settings/libmanagesieve_login_settings.so
%{_mandir}/man1/sievec.1*
%{_mandir}/man1/sieved.1*
%{_mandir}/man1/sieve-dump.1*
%{_mandir}/man1/sieve-filter.1*
%{_mandir}/man1/sieve-test.1*
%{_mandir}/man7/pigeonhole.7*

%files pigeonhole-devel
%{_includedir}/%{name}/sieve

%endif

%if %{build_ldap}
%files plugins-ldap
%{_libdir}/%{name}/modules/auth/libauthdb_ldap.so
%endif

%if %{build_gssapi}
%files plugins-gssapi
%{_libdir}/%{name}/modules/auth/libmech_gssapi.so
%endif

%if %{build_sqlite}
%files plugins-sqlite
%{_libdir}/%{name}/modules/libdriver_sqlite.so
%{_libdir}/%{name}/modules/auth/libdriver_sqlite.so
%{_libdir}/%{name}/modules/dict/libdriver_sqlite.so
%endif

%if %{build_mysql}
%files plugins-mysql
%{_libdir}/%{name}/modules/libdriver_mysql.so
%{_libdir}/%{name}/modules/auth/libdriver_mysql.so
%{_libdir}/%{name}/modules/dict/libdriver_mysql.so
%endif

%if %{build_pgsql}
%files plugins-pgsql
%{_libdir}/%{name}/modules/libdriver_pgsql.so
%{_libdir}/%{name}/modules/auth/libdriver_pgsql.so
%{_libdir}/%{name}/modules/dict/libdriver_pgsql.so
%endif

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/%{name}/dovecot-config
%{_datadir}/aclocal/%{name}.m4
%if %{build_pigeonhole}
%exclude %{_includedir}/%{name}/sieve
%endif


%changelog

* Sun Mar 24 2013 colin <colin> 2.1.15-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Feb 10 2013 mitya <mitya> 2.1.15-1.mga3
+ Revision: 397698
- New version 2.1.15

* Sat Jan 12 2013 colin <colin> 2.1.13-3.mga3
+ Revision: 358975
- Fix filelist
- Switch to tmpfiles for /var/run dirs
- Use filetriggers for restarts on module install

* Fri Jan 11 2013 umeabot <umeabot> 2.1.13-2.mga3
+ Revision: 349071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 mitya <mitya> 2.1.13-1.mga3
+ Revision: 341127
- New version 2.1.13

* Mon Jan 07 2013 blino <blino> 2.1.12-4.mga3
+ Revision: 340670
- explicitely list all conf files to notice changes
- drop special perms in /etc (like Fedora) and make conf files world
  readable, so that LIBDIR/dovecot/imap can be run as user (e.g. for
  gnus); password can be stored in different file readable only for root
  via !include_try directive
- allow to skip prep/build in rpm build by not removing build system files and dirs
- drop ssl paths patch and require newer rootcerts for compat paths
- drop now unused initscript

* Sun Jan 06 2013 pterjan <pterjan> 2.1.12-3.mga3
+ Revision: 339606
- Fix for _libdir != _libexecdir

* Wed Dec 26 2012 mitya <mitya> 2.1.12-2.mga3
+ Revision: 335259
- Switch to upstream method to fix underlinking

* Sun Dec 23 2012 mitya <mitya> 2.1.12-1.mga3
+ Revision: 334073
- Dovecot 2.1.12
- Pigeonhole 0.3.3

* Sun Feb 26 2012 colin <colin> 1.2.17-3.mga2
+ Revision: 215373
- Fix filelist
- Fix build with automake 1.11.2+
- Fix pidfile LSB header (mga#3823)

* Tue Dec 20 2011 dmorgan <dmorgan> 1.2.17-2.mga2
+ Revision: 185101
- Create  /var/run/dovecot ( mga #3823)

* Thu Sep 29 2011 mikala <mikala> 1.2.17-1.mga2
+ Revision: 150294
- Disable clucene build for now (won't work with clucene 2.3.3.4)

* Thu May 19 2011 dmorgan <dmorgan> 1.2.17-1.mga1
+ Revision: 99793
- Update to version 1.2.17 ( Fix crashes ( see http://dovecot.org/pipermail/dovecot/2011-May/059086.html ) )

* Thu Mar 24 2011 dmorgan <dmorgan> 1.2.16-4.mga1
+ Revision: 77094
- Rebuild against new mysql

* Mon Feb 21 2011 dmorgan <dmorgan> 1.2.16-3.mga1
+ Revision: 55194
- imported package dovecot


* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 1.2.16-3mdv2011.0
+ Revision: 626996
- rebuilt against mysql-5.5.8 libs, again

* Mon Dec 27 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.16-2mdv2011.0
+ Revision: 625417
- rebuilt against mysql-5.5.8 libs

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.16-1mdv2011.0
+ Revision: 603523
- 1.2.16
- update the 3rd party addons

* Mon Oct 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.15-1mdv2011.0
+ Revision: 582946
- 1.2.15

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 1.2.14-2mdv2011.0
+ Revision: 579485
- update file list
- sieve 0.1.17

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 1.2.14-1mdv2011.0
+ Revision: 579455
- new version 1.2.14

* Sun Jul 25 2010 Funda Wang <fwang@mandriva.org> 1.2.13-1mdv2011.0
+ Revision: 558262
- New version 1.2.13

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 1.2.12-1mdv2011.0
+ Revision: 550587
- update to new version 1.2.12

* Thu Apr 08 2010 Eugeni Dodonov <eugeni@mandriva.com> 1.2.11-2mdv2010.1
+ Revision: 533057
- Rebuild for new openssl

* Tue Mar 09 2010 Funda Wang <fwang@mandriva.org> 1.2.11-1mdv2010.1
+ Revision: 516829
- new version 1.2.11

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-3mdv2010.1
+ Revision: 511561
- rebuilt against openssl-0.9.8m

* Wed Feb 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-2mdv2010.1
+ Revision: 507027
- rebuild

* Tue Jan 26 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.10-1mdv2010.1
+ Revision: 496739
- 1.2.10
- updated the addons to the latest versions

* Thu Dec 17 2009 Funda Wang <fwang@mandriva.org> 1.2.9-1mdv2010.1
+ Revision: 479643
- new version 1.2.9

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-1mdv2010.1
+ Revision: 468250
- 1.2.8
- 1.2.7-managesieve-0.11.9
- sieve-0.1.13

* Wed Oct 14 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.6-1mdv2010.0
+ Revision: 457352
- 1.2.6
- update P8

* Tue Sep 22 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-1mdv2010.0
+ Revision: 447364
- 1.2.5
- sieve-0.1.12
- managesieve-0.11.9

* Mon Aug 10 2009 Funda Wang <fwang@mandriva.org> 1.2.3-2mdv2010.0
+ Revision: 414137
- fix build

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-1mdv2010.0
+ Revision: 412951
- fix deps
- 1.2.3
- sync changes with dovecot-1.2.2-1.20090728snap.fc12.src.rpm but with a twist

* Mon Jun 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.16-1mdv2010.0
+ Revision: 381971
- update to new version 1.1.16

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.15-1mdv2010.0
+ Revision: 377278
- update to new version 1.1.15

* Sun May 03 2009 Funda Wang <fwang@mandriva.org> 1.1.14-1mdv2010.0
+ Revision: 370983
- New versin 1.1.14

* Thu Mar 19 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.13-1mdv2009.1
+ Revision: 357723
- update to new version 1.1.13

* Tue Mar 17 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.12-1mdv2009.1
+ Revision: 356874
- update to new version 1.1.12

* Thu Feb 05 2009 Michael Scherer <misc@mandriva.org> 1.1.11-1mdv2009.1
+ Revision: 337739
- update to 1.1.11
- fix dovecot-sieve compilation

* Mon Feb 02 2009 Jérôme Soyer <saispo@mandriva.org> 1.1.10-1mdv2009.1
+ Revision: 336528
- New upstream release

* Wed Jan 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.8-2mdv2009.1
+ Revision: 329402
- add procmail to sieve conversion tool

* Fri Jan 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.8-1mdv2009.1
+ Revision: 327528
- dovecot-1.1.8
- dovecot-sieve-1.1.6

* Wed Dec 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.7-2mdv2009.1
+ Revision: 315214
- rediffed one fuzzy patch

* Mon Dec 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.7-1mdv2009.1
+ Revision: 311826
- 1.1.7

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-3mdv2009.1
+ Revision: 311198
- rebuilt against mysql-5.1.30 libs

* Wed Nov 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.6-2mdv2009.1
+ Revision: 300121
- fix the permission stuff again (numeric mode in filelist was overriding the
  earlier chmod command)

* Wed Nov 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.6-1mdv2009.1
+ Revision: 300041
- 1.1.6

* Wed Nov 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.4-5mdv2009.1
+ Revision: 299971
- set deliver to be group mail (forgot in last commit)

* Tue Nov 04 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.4-4mdv2009.1
+ Revision: 299933
- implement nifty dodge for permissions issues relating to #44926 (see comment)

* Fri Oct 24 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.4-3mdv2009.1
+ Revision: 296857
- fix non-parallel init for the ntpd issue too

* Fri Oct 24 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.4-2mdv2009.1
+ Revision: 296853
- add should-start ntpd to initscript (fabrice facorat, #45035)
- dovecot.conf needs to be 644 not 640 (#44926)

* Wed Oct 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.4-1mdv2009.1
+ Revision: 293893
- 1.1.4

* Sun Sep 07 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.3-3mdv2009.0
+ Revision: 282240
- 0755 for initscript not 0700

* Sun Sep 07 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.3-2mdv2009.0
+ Revision: 282065
- ensure initscript has 0700 permissions (twice, belt and braces!) #41788

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 1.1.3-1mdv2009.0
+ Revision: 280492
- New release

* Fri Aug 15 2008 Michael Scherer <misc@mandriva.org> 1.1.2-1mdv2009.0
+ Revision: 272216
- new version
- fix source url

* Thu Jun 26 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-0.2mdv2009.0
+ Revision: 229256
- nss had nothing to do with nss-devel :-)
- enable everything per default
- fix conditionals
- reload dovecot if needed for the plugins sub packages
- added lsm headers

* Wed Jun 25 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-0.1mdv2009.0
+ Revision: 229123
- 1.1.1
- reworked the conditional magic
- the ldap and gssapi functionalities has been broken
  out to subpackages, dovecot-plugins-ldap and dovecot-plugins-gssapi
- the modulesdir should not be %%{_datadir}/%%{name} but in fact
  %%{_libdir}/%%{name}/modules

* Fri Jun 13 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.14-1mdv2009.0
+ Revision: 218841
- 1.0.14

* Mon Mar 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.13-1mdv2008.1
+ Revision: 183490
- 1.0.13 (Minor security fixes)

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.12-2mdv2008.1
+ Revision: 180930
- fix #38615

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.12-1mdv2008.1
+ Revision: 180856
- 1.0.12

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.10-4mdv2008.1
+ Revision: 168821
- versionned build dependency on rpm-helper

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.10-3mdv2008.1
+ Revision: 159934
- use new create ssl certificate helper macro interface

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.10-2mdv2008.1
+ Revision: 159425
- add sieve plugin (#32581)

* Tue Jan 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-1mdv2008.1
+ Revision: 153290
- 1.0.10

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.9-2mdv2008.1
+ Revision: 137504
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 1.0.9-1mdv2008.1
+ Revision: 119730
- New release 1.0.9

* Tue Dec 04 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.8-1mdv2008.1
+ Revision: 115393
- 1.0.8

* Tue Nov 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-1mdv2008.1
+ Revision: 106384
- 1.0.7

* Mon Sep 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-1mdv2008.0
+ Revision: 89292
- 1.0.5

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.3-4mdv2008.0
+ Revision: 64673
- use ssl certs creation helpers

  + Tibor Pittich <tibor@mandriva.com>
    - fixed Bug #27491 and #27561

* Thu Aug 16 2007 Tibor Pittich <tibor@mandriva.com> 1.0.3-2mdv2008.0
+ Revision: 64136
- increase release number
- really enable ldap support
- fix with/without rpm build options, fix dexcription

* Wed Aug 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-1mdv2008.0
+ Revision: 63642
- 1.0.3

* Thu Aug 02 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.2-4mdv2008.0
+ Revision: 58315
- BuildRequires krb5-devel for gssapi build
- use Fedora licensing policy (licensing on this app is insane, this is a good way to handle it)

* Fri Jul 27 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.2-3mdv2008.0
+ Revision: 56127
- build with support for GSSAPI authentication (bug #32112)

* Tue Jul 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdv2008.0
+ Revision: 52872
- fix rpm-helper Requires(post,preun) and such
- fix deps
- 1.0.2

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 1.0.1-2mdv2008.0
+ Revision: 45127
- using serverbuild macro (-fstack-protector-all)

  + Adam Williamson <awilliamson@mandriva.org>
    - adjust ssl stuff as advised by guillaume (#27561)

* Fri Jun 15 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2008.0
+ Revision: 40141
- 1.0.1

* Tue Jun 12 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 38341
- install /etc/pki/dovecot/dovecot-openssl.cnf (bug #27561)
- argh, wrong branch! revert
- import 2007 package to updates

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 19904
- upgrade to 1.0.0 ( at last )

* Sat Apr 21 2007 Anssi Hannula <anssi@mandriva.org> 1.0.rc26-2mdv2008.0
+ Revision: 16707
- migrate away from deprecated pam_stack.so


* Tue Mar 13 2007 Jérôme Soyer <saispo@mandriva.org> 1.0.rc26-1mdv2007.1
+ Revision: 142202
- New RC

* Sun Mar 04 2007 Michael Scherer <misc@mandriva.org> 1.0.rc25-1mdv2007.1
+ Revision: 131924
- update to 1.0.rc25

* Fri Jan 12 2007 Michael Scherer <misc@mandriva.org> 1.0.rc17-1mdv2007.1
+ Revision: 107793
- upgrade to rc17

* Wed Nov 29 2006 Michael Scherer <misc@mandriva.org> 1.0.rc15-1mdv2007.1
+ Revision: 88778
- use default upstream configuration file
- bunzip patch
- upgrade to 1.0.rc15
- Import dovecot

* Tue Sep 05 2006 Jerome Soyer <saispo@mandriva.org> 1.0.rc7.1mdv2007.0
- new version

* Thu Jul 13 2006 Nicolas Chipaux <chipaux@mandriva.com> 1.0.rc2.1mdv2007.0
- new version
- split in devel rpm

* Mon Jun 26 2006 Nicolas Chipaux <chipaux@mandriva.com> 1.09.beta9.1mdv2007.0
- new version

* Tue May 30 2006 Jerome Soyer <saispo@mandriva.org> 0.99.14-4mdv2007.0
- CVE-2006-2414 
- use mkrel

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.14-3mdk
- rebuilt against openssl-0.9.8a

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.14-2mdk
- rebuilt against new openldap-2.3.6 libs

* Fri Mar 18 2005 Michael Scherer <misc@mandrake.org> 0.99.14-1mdk
- New release 0.99.14
- better summary
- add some tools in %%doc

* Fri Feb 04 2005 Michael Scherer <misc@mandrake.org> 0.99.12-2mdk
- Rebuild new ldap

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.99.12-1mdk
- New release 0.99.12

* Wed Aug 11 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.99.10.9-2mdk
- fix init script to make rpmlint happy
- create switches to allow/deny some features and and describe it in
  description
- update url
- by default disable pgsql support, added configurable support for mysql
- change provides to pop3-server and add imaps and pop3s-server provides
- minimalize number of nonstandard permission in files
- some other spec changes, macroszification

* Tue Aug 10 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.99.10.9-1mdk
- 0.99.10.9

* Thu Jul 15 2004 Michael Scherer <misc@mandrake.org> 0.99.10.7-1mdk 
- 0.99.10.7
- rpmbuildupdate aware

* Wed Jul 14 2004 Michael Scherer <misc@mandrake.org> 0.99.10.6-1mdk
- New release 0.99.10.6
- replaced the patch on conf by a source file
- fix BuildRequires, and init script ( from Michael Reinsch <mr@uue.org> )
- remove implicit requires, added new provides scheme
- remove service restart on upgrade, as it is already done by spec-helper

